%perl_module Text-Kakasi 2.04 3

Summary:       Perl frontend to kakasi.
License:       GPL2
Group:         System Environment/Libraries
URL:           http://search.cpan.org/dist/%{pkgname}
Source:        http://search.cpan.org/CPAN/authors/id/D/DA/DANKOGAI/%{pkgname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kakasi-devel, kakasi-dict
Requires: kakasi-dict

%description
This module provides interface to kakasi (kanji kana simple inverter).
kakasi is a set of programs and libraries which does what Japanese
input methods do in reverse order.  You feed Japanese and kakasi
converts it to phonetic representation thereof.  kakasi can also be
used to tokenizing Japanese text. To find more about kakasi, see
<http://kakasi.namazu.org/>.

%prep
%setup -q -n %{pkgname}-%{version} 

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README* COPYING Changes
%{perl_vendorarch}/Text/Kakasi.pm
%{perl_vendorarch}/Text/Kakasi
%{perl_vendorarch}/auto/Text/Kakasi
%{perl_man3dir}/Text::Kakasi.3pm*
%{perl_man3dir}/Text::Kakasi::*.3pm*

%changelog
* Sun Aug 22 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.
